com.sap.conn.jco

## Interface JCoFunctionTemplate

- All Superinterfaces:
    Serializable

      public interface JCoFunctionTemplate
      extends Serializable

  Encapsulates all metadata of a function and its import, changing, export and table parameters as well as the exception list.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoListMetaData` | `getChangingParameterList()` Returns the metadata for the changing parameter list.
    `AbapException` | `getException(String key)` Returns the ABAP exception for the specified key.
    `AbapException[]` | `getExceptionList()` Returns the ABAP exception list.
    `JCoListMetaData` | `getExportParameterList()` Returns the metadata for the export parameter list.
    `JCoFunction` | `getFunction()` Creates a function object from the template and returns it.
    `JCoListMetaData` | `getFunctionInterface()` Returns the metadata for the function interface.
    `JCoListMetaData` | `getImportParameterList()` Returns the metadata for the import parameter list.
    `String` | `getName()` Returns the name of the function.
    `JCoRequest` | `getRequest()` Returns a request object for this function template.
    `JCoListMetaData` | `getTableParameterList()` Returns the metadata for the table parameter list.
    `boolean` | `supportsASXML()` Returns true if this function module is supporting the ASXML semantics for serialization in the RFC protocol.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the function.
      Returns:
        The name of the function

    - #### getImportParameterList

          JCoListMetaData getImportParameterList()

      Returns the metadata for the import parameter list.
      Returns:
        the metadata for the import parameter list

    - #### getExportParameterList

          JCoListMetaData getExportParameterList()

      Returns the metadata for the export parameter list.
      Returns:
        the metadata for the export parameter list

    - #### getChangingParameterList

          JCoListMetaData getChangingParameterList()

      Returns the metadata for the changing parameter list.
      Returns:
        the metadata for the changing parameter list

    - #### getTableParameterList

          JCoListMetaData getTableParameterList()

      Returns the metadata for the table parameter list.
      Returns:
        the metadata for the table parameter list

    - #### getExceptionList

          AbapException[] getExceptionList()

      Returns the ABAP exception list.
      Returns:
        the ABAP exception list or `null` if none is defined

    - #### getException

          AbapException getException(String key)

      Returns the ABAP exception for the specified key.
      Parameters:
        `key` - the key for the exception as specified in the function interface
      Returns:
        the ABAP exception for the specified key or `null` if none is defined for the specified key

    - #### getFunction

          JCoFunction getFunction()

      Creates a function object from the template and returns it.
      Returns:
        a newly created function

    - #### getRequest

          JCoRequest getRequest()

      Returns a request object for this function template.
      Returns:
        an newly created JCoRequest

    - #### getFunctionInterface

          JCoListMetaData getFunctionInterface()

      Returns the metadata for the function interface. This will contain the complete parameter list for all parameters.
      Returns:
        the metadata for the function interface

    - #### supportsASXML

          boolean supportsASXML()

      Returns true if this function module is supporting the ASXML semantics for serialization in the RFC protocol.
      Returns:
        `true` if the function module supports ASXML; `false` if it does not support ASXML

Copyright © 2020 SAP. All Rights Reserved.